Update default brush presets and brush tips
Open, Needs TriagePublic

Description

The brush tips and brush presets have not really been looked at in quite a few years. This task is to look through them and try to improve the default presets and tips that will ship with Krita 4.0. The end result will mostly be updated KPPs and images for brush tips

With what I have seen and heard, these are some things to think about:

  1. are we showing a big enough variety in brushes?
  2. are our brushes optimized very well for performance?
  3. are there any tips that we really don't need...or some tips that would be really nice?
  4. are there some presets that are very similar to others and don't provide much value?
  5. are there other brush packs out there where we could ask the author's permission to include them in our defaults?
  6. having a 3.x default brush bundle for people want the old default presets
  7. our default theme is dark, but our preset icons all have a light background. Is this alright -- or does it make them stand out too much?

With the little time in IRC discussing this, there seems to be quite a bit of ideas for improvements. If you have any new ideas...or ideas with the above points list them below

There are a very large number of changes, so older changes are hidden. Show Older Changes

Hi all, Lot of info here. Interesting to see what can be improved. Where do you think i can give more help? I start to feel well and this topic is one of my favorites. Also this is my first phabricator comment so i don´t know very much the platform :D

Is there a deadline for this task?
Are this resources also for 4.0 alpha?

It would be good to have the new brushes in 4.0; we're discussing the release schedule this afternoon.

hi @ramonmiranda

You can read the comments with where we are at. We are currently trying to start from scratch and slowly just add brush presets and brush tips until we think we have a good set for 4.0. I think the biggest issue that people had was too many similar brushes and a lot of not useful tips.

I also want to show a bit more variety on what Krita can do with the things like the random shapes for brush dabs. Many programs don't offer features like that, so it would be nice to showcase those type of things.

@woltherav I was starting to add a few presets to my branch when I noticed that the icon library doesn't have many presets in master. Were we going to combine @Deevad brushes and yours with 4.0?

https://phabricator.kde.org/T7435

You both have ZIP files in that ticket with a bunch of images. Do you want me to combine those and put it in my branch...or should that go directly in master? I figured we could maybe use those for the 4.0 presets.

I made a bundle with all brush tips I'd take to default pack, some of them are mine, some from krita.

I have been testing the @radianart set. Veri nice the 010_smudge3. I modified a bit the Way that blends the paint to get more soft blending in low pressure. (personal choice) making the smudge lenth curve controlled by pressure a bit more in "s" shape. I disabled the size controlled by pressure and put the mirror option to give a random effect, but this is something i can not see clearly. anyway i have marked parts on the image that i love the texture.

I got permission from Pablo Cazorla to use his stuff. I went ahead and added a few for areas we didn't have anything like stamps

http://www.pcazorla.com/2014/01/15/cazu-brush-collection-v2-for-krita/

Right now in my branch, the total brush preset count is at 54. Krita 3.0 has 120+

I also updated all the icons and names to try to come up with a way to organize everything. This is currently how they are named.

  1. Airbrush_Soft.kpp
  2. Basic_Chisel_Smooth.kpp
  3. Basic_Flow.kpp
  4. Basic_tip_default.kpp
  5. Blender_Blur.kpp
  6. Blender_Rake.kpp
  7. Blender_Textured.kpp
  8. Blender_Water.kpp
  9. Clone_Tool.kpp
  10. Clone_Tool_Textured.kpp
  11. Distort_Grow.kpp
  12. Distort_Move.kpp
  13. Distort_Shrink.kpp
  14. Dry_Bristles.kpp
  15. Dry_Bristles_Smooth.kpp
  16. Dry_Marker.kpp
  17. Dry_Textured_Rough.kpp
  18. Dry_Textured_Soft.kpp
  19. Eraser_Airbrush.kpp
  20. Eraser_Circle.kpp
  21. Eraser_Hard.kpp
  22. Eraser_Screentone.kpp
  23. Eraser_Soft.kpp
  24. Fill_Large_Quick.kpp
  25. Fill_Screentones.kpp
  26. Fill_Shape.kpp
  27. FX_Glow_Add.kpp
  28. FX_Image_Blur.kpp
  29. FX_Image_Sharpen.kpp
  30. FX_Smoke_Particles.kpp
  31. FX_Starfield.kpp
  32. FX_Value_Burn.kpp
  33. FX_Value_Dodge.kpp
  34. Ink_Brush.kpp
  35. Ink_Brush_Rough.kpp
  36. Ink_Fineliner.kpp
  37. Ink_Precision.kpp
  38. Ink_Tough.kpp
  39. Normal_Map.kpp
  40. Pixel_Art.kpp
  41. Sketch_2B.kpp
  42. Sketch_Chrome.kpp
  43. Sketch_Hatch_Noisy.kpp
  44. Stamp_Clouds.kpp
  45. Stamp_Freckles.kpp
  46. Stamp_Hearts.kpp
  47. Stamp_Ink_Smear.kpp
  48. Stamp_Scales.kpp
  49. Stamp_Shoujo_Bubbles.kpp
  50. Stamp_Spines.kpp
  51. Stamp_Watercolor.kpp
  52. Wet_Bristles.kpp
  53. Wet_Bristles_Rough.kpp
  54. Wet_Circle.kpp

If anyone cannot check out the branch, I attached all these presets below. It contains only the brush tips that go with the presets.

@radianart - I haven't had a chance to look at the brush tips you added yet. I figured once the presets lists starts getting a little closer we can start looking at brush tips.

radianart added a comment.EditedDec 3 2017, 1:18 PM

I tested branch and new set definitely looks good. I have some opinions and questions though.

  1. Most of brushes uses auto spacing and precision:5 (or auto). Auto spacing shouldn't be used without good reason, it makes brushes looks different at different sizes and make them super slow at big sizes. Precision can be 1 or 2 for most brushes and people wont's see difference, auto precision just doesn't seems to work for me
  2. Distort brushes definitely should use "copy" blending mode and lesser deform amount (~0.02 for grow\shrink, ~0.2 for move)
  3. Clone_Tool_Textured - I'd add more emphasis to show it's different from clone tool and it's more like paint brush. Probably need another icon and name like "Clone_Brush_Textured.kpp"
  4. Dry_Marker is weird, no control over opacity, creates a lot of artifacts in 8bit depth.
  5. Basic_Flow is kinda "aggressive", it builds up to 100% opacity too quickly, I'd make flow value around 0.6 and adjust curve (second from last curve preset works well)

    Can you explain why you didn't add some of my presets? I mean brushes# 5,6,7, 9 and 12.

12 (08_smudge1) is one of my favorite and most useful blending brushes, it's replacement for Wet_Bristles
7 (textured tilt in 3.x) is similar to pencil if hold it differently to fill big areas, can't say I use it a lot but I think it's nice enough.
9 (02_tex2) is just simple a bit chalky brush for block in with a bit of texture
6 (05_tex5) is nice bristle brush with edge variety, I enjoy using it a lot.

@ramonmiranda, @Deevad thanks :)

@radianart - I haven't had a chance to look at the brush tips you added yet. I figured once the presets lists starts getting a little closer we can start looking at brush tips.

Ok. We probably might think about better names for tips too. I mean all tips.

I made new brush to replace "Clone_Tool_Textured". There is example painting I made with this brush: https://lut.im/YStZMf32yZ/bRpAVZ3OB3MKhcfq.jpg

@radianart - good points. I will have to look through most of them.

  1. I will have to look into the spacing. The brushes I am using were taken from other people. I can play around with them a bit when I get a chance.
  2. I can check out the distort brushes. I know for the move tool, if we make it only slight, it is more of a "nudge" than a "move. I would have to play around with you setting recommendation though to judge better
  3. How does a marker work? I guess it could have slightly opacity differences. When I tested it out it felt like using a marker so I added it. That was about as far as my mind went with it.

For your points about the other brushes I didn't add. I can look at them again. Some of them seemed very close to other brushes...and their names weren't really very descriptive. Maybe there is something about them I didn't notice.

Some of these might have better versions too once stacked brushes is done. Dmitry is working on that now, so maybe we can wait a bit for this to see if other existing brushes need to be changed. We can check back in January. 4.0 isn't planned to be released until March 2018 so that gives us plenty of time to refine what we have.

  1. I can check out the distort brushes. I know for the move tool, if we make it only slight, it is more of a "nudge" than a "move. I would have to play around with you setting recommendation though to judge better

As an artist I'd say slight effect is more useful in work.

  1. How does a marker work? I guess it could have slightly opacity differences. When I tested it out it felt like using a marker so I added it. That was about as far as my mind went with it.

If I remember correctly problem with marker is that it uses "build up" mode, change it to Wash and it will be fine.

Some of these might have better versions too once stacked brushes is done. Dmitry is working on that now, so maybe we can wait a bit for this to see if other existing brushes need to be changed. We can check back in January. 4.0 isn't planned to be released until March 2018 so that gives us plenty of time to refine what we have.

Which I suggested earlier ;)
I'm very excited about staked brushes, we can make some brushes better and add new cool ones but the majority won't use this feature.

I think after we finish "beta version" of new pack we can make a post about it and ask people for testing and feedback.

ramonmiranda added a comment.EditedDec 14 2017, 11:12 AM

Hi all, i realized that we are very focused in brushes which is good. And i am still experimenting a lot. So i have created a simple way to do them. I will publish them too.
But first i was concerned about the textures or patterns we already have in krita. If we use them as fill layer with pattern, in some areas we see no tileable parts or too much emphasis in some parts of the image. So i decided to review them first because i think the resources inside the program are also important and must be the best we can give. This takes me also on the topic how we can create our own "patterns" and this takes me to fractals, noise, gimp filters and inkscape extension wich i have tested a lot. A week to be exact. But first things first.

You can check it out and decide if you use or not. They are slightly different in terms of light equalization and patches "here and there " done by hand in 25% zoom. Not a funny job but i think it deserves the time. let me know


ramonmiranda added a comment.EditedDec 15 2017, 11:38 AM

Also i think this is very basic but good tips are crucial for good brushes so i created for my own uses this.


It is very easy to use. maybe you find it useful let me know.

Black and white converter: this is in the case you want to use image in color and just drag to this file. by default is off. and if you press f3 you can select your way to desaturation.

Inversion: invert the values on the image if you want to use it for other software or just to see in other way your values.

Dark areas: i use this to burn a bit the dark parts. F3 and you can tweak the values.

Group mask: You can use the two i give you as example or make your owns and combine them. F3 on "Levels control" layer makes tweakable. cutting the edges and adjusting how much do you want of your values.
This is a very powerful feature that gives you a lot of control i think.
I give you 2 masks to test: Circular(green layers) Squared(Orange layers)

Group Textures for nibs: obvious, this is the place where you put your images. Doesn´t need to be tileable neither B/W . just explore and find good shapes.

You have to move the layer with the "move current layer" if you want to test new positions

Well, that is all for now. there you have the file:

Papers for evaluation


The Goal is to produce a base resource you can combine to create infinite results and to show how we can create more resources besed on fractals, vector, and painted techniques (maybe for a later release)

All papers are 512x512px png and tileable to minimum 25% of their size. You can combine between them and you will get tileable resources.

Abstract lines 01 Painted ( random brushtrokes but done to get good range of grey)
Abstract lines 02 Inkscape /Extensions/Render/Seamless Pattern
Abstract shapes 01 Photo
Abstract shapes 02 Noise + Whirl (Painted)
Circles 01 Painted
Circles 02 Inkscape /Extensions/Render/Seamless Pattern
Circles 03 Gmic/Patterns/Periodic dots
Circles 04 Gmic/Patterns/Periodic dots
Fine sand Gimp/ Solid noise + Tweaking
Fur 01 Gmic/Patterns/Seamless Turbulence
Knots 01 Gmic/Patterns/Weave (must be pair)
Lines maze 01 Gimp /Filters/Render/Patterns/Maze
Marble 01 Photo by my own
Marble 02 Photo by my own
Marble 03 Photo by my own
Marble 04 Photo by my own
Rock 01 Photo by my own
Rock 02 Photo by my own
Rock 03 Photo by my own
Rough canvas 01 Gimp + Combination of layers based on patterns
Rough paper 01 Photo by my own
Rough paper 02 Photo by my own
Rough paper 03 Photo by my own
Rough wall with impasto Photo by my own
Scales 01 Photo by my own
Stars 01 Inkscape /Extensions/Render/Seamless Pattern
Tin foil Photo by my own
Truchet shapes 01 Gmic/Patterns/Truchet
Truchet shapes 02 Gmic/Patterns/Truchet
Voronoi shapes 01 Gimp/Filters/Render/Patterns/Voronoi*
Voronoi shapes 02 Gimp/Filters/Render/Patterns/Voronoi*
Voronoi shapes 03 Gimp/Filters/Render/Patterns/Voronoi*

*Voronoi is only available in windows as a pluggin. I have researched for a good Voronoi seamless creator but i can’t find it in gnu/linux. If you can provide new opensource resources i will be glad to create more voronoi patterns. Voronoi is good because it gives us a good repetition not as noticeable as “human created by” pattern..

Voronoi was found after looked this thread
http://gimpchat.com/viewtopic.php?f=23&t=4073
And was created by David Nečas (Yeti)
http://www.geocities.jp/gimproject1/plug-ins/voronoi/

if someone wants to explore the creation with svg files here i upload 3 basic examples.

Ok guys, new stuff is coming for patterns. And after this i will go for the presets . Hope you like it and ennjoy. Of course they are tileable and lot of fun to play with them. i upload them as images , and you download whatever you want.

scottpetrovic added a comment.EditedJan 6 2018, 1:01 AM

I see a lot of recent stuff on patterns. I almost never use patterns so it is hard for me to tell what is good or not. @ramonmiranda did bring up a good point with a couple of things. If the image doesn't tile and if it is too obvious that it tiles. Clicking through the different patterns I see patterns that have issues:

not tiling right

  • 07_big-grain.png
  • Canvas 01
  • Canvas 02
  • Canvas 03

Looks pixelated for some reason

  • Granite 1b

We can swap out those with some of Ramon's. I am not sure exactly how people are using patterns in their artwork. Can someone share examples of what is being done? I looked online and many of the examples seem to be either halftone patterns for comics, paper textures, or colored background designs for graphic design work.

Most of the patterns we currently have are black and white. I would image they are that way because people are wanting to use them when they are creating brushes and want to use the Texture option.

Does anyone have any guidance or opinions on patterns and what would make the patterns in Krita better?

Hi, I am preparing a post about that task. Right now is in spanish, just wait these weekend and i will do the translation.
Basically textures are used to:

  • Paint with texture feature (option in multiply or substract mode.) That makes the brushtroke more interesting in some cases because adds variety and lot of detail with no effort. skin pores, scales, decoration in walls or BG. imagine for example you want to paint a group of rocks. With textures you can create blocks of paint and then add details. The more interesting the pattern , the more details you can add.
  • Apply a layer in overlay mode to overimpossed texture like canvas or paper textures. I discover then that we need good tileable patterns with normalized light. (similar values in all the image)
  • Painted textures used for 3D games.

It would be awesome to get a good access to patterns by attaching "connect" the pattern selected in pattern docker with the pattern in brush texture feature. Nowadays we have to access the texture feature by opening the brush editor. if you want to change size or change pattern or modify values in contrast or brightness wich it can be used a lot with good "grey-ranged" pattern.
i hope you understand the point.
With good textures and good access to that feature we can do a lot of things and imo achieve 3 things:

  • Provide something new to promote krita 4.0 with cool images
  • Get interest from people that uses patterns in his designs
  • Speed up the workflow for painting

I have ideas about a pattern-generator but not for this time. No more features are needed by now but good promotion for 4.0

radianart added a comment.EditedJan 8 2018, 2:59 PM

I made some new brush presets with masking feature. Plus some tips and one texture.
It will need better names and icons (as usual :) and Lod threshold tweaks.

1 seems to be popular in photoshop brush packs and I see it in artists work, though it's very slow and I personally barely use it

2, 3 and 6. is rather experimental

Brushes like 4 is why I wanted masking feature :)

5 brush with grainy texture, playing with main\masking sizes can make a few different nice effects

7 - replacement for "Block textured 2", nicer but slower

8 from irc, bristle-ish brush with broken edge (it's crossed on my pc, no idea why)


Okay, so the distort brushes need blending mode copy to work right on semi-transparent layers:

And the following are the brush tips with colors fitting https://community.kde.org/Krita/Brushes_Preset_Preview#Stroke (Except green for textured strokes: too many textured strokes)

The latter don't include the deform brushes, so you can apply either in either way.

@woltherav - updated all those presets you gave me with the fixes

@radianart - I added or updated some of your presets with the defaults. There were a few presets that there was some issue.

  1. 45tilt1 and 35tilt3. The mask brush size is smaller than the default brush size so it gets scaled up and doesn't look very good by default
  2. 62Brush6 - there is something wrong with this preset as it always shows an X on it. Something might be wrong in the XML with it.

One thing i am struggling with your brushes a bit is you aren't really naming your brush tips very well (texture53 for example). As a general rule for naming a brush tip, try to describe the shape with something other than texture. These tip shapes are just random blobs of black and white so there probably isn't going to be a technical words for many of them. With your bristles tips for example, they are just a bunch of dots, so one potential name could be bristle_fireflies, or bristle_wide_spray. You can also try to describe the shape like square, circle, rectangle, or oval.

@ramonmiranda - I removed some of the patterns that were not tiling right and replaced them with some of your new ones.I am not sure if you have a strong preference for which ones are added or not.

  1. 45tilt1 and 35tilt3. The mask brush size is smaller than the default brush size so it gets scaled up and doesn't look very good by default

That isn't sounds right, both of these should have masking brush size 50% bigger than main brush, maybe owerwriting will help?

  1. 62Brush6 - there is something wrong with this preset as it always shows an X on it. Something might be wrong in the XML with it.

Same on my pc. First I thought it is texture missing but even after owerwriting with another texture it's still shows X. I don't know how to deal with XML.

One thing i am struggling with your brushes a bit is you aren't really naming your brush tips very well (texture53 for example). As a general rule for naming a brush tip, try to describe the shape with something other than texture. These tip shapes are just random blobs of black and white so there probably isn't going to be a technical words for many of them. With your bristles tips for example, they are just a bunch of dots, so one potential name could be bristle_fireflies, or bristle_wide_spray. You can also try to describe the shape like square, circle, rectangle, or oval.

Well, I just really bad at naming :) These names is same as on my pack and I just follow my scheme. Plus renaming tips is much more problematic than presets.

The brush presets are now merged into master. They should be available in the nightly builds now to make it easy to test and play around with.

We need to figure out what type of tags we want to have now. I talked with boud and those tag names are not translatable...so we can figure out what we want to put. I will suggest some brush preset tags to get us started:

  1. Dry Painting
  2. Wet Painting
  3. Environment
  4. Erasers
  5. Sketch
  6. My Favorites
  7. FX
  8. Pixel Art

How are those? Any suggestions or improvements?

ramonmiranda added a comment.EditedJan 12 2018, 6:46 PM

Well ,naming is always hard, i think those names are enough orientative. in favorites i use the word "Fav" I am going to think about this weekend also i have finally ending my first contribution to brushes. There is a lot of fun on them.
hope more content soon.

They are ready to use in Krita3. X no latest features used here.

When you are testing presets the first impression is really important. If the behavior is not the expected or not cool for you, then this brush can go to the trashcan sadly. But if you like the brush and adds variety to your artpieces and you are comfortable working with it then you can add it to favourites and if you like it even more so here you have 20 presets to play with.
Block_fuzzy_color
Block_shape_01
Bristles_Scatter_01
Bristles_Scatter_02
Bristles_Soft
Circle_hollowed
Demo_fuzzy_color
Demo_fx_light
Demo_Light_paint
Demo_repeat_triangle
Demo_Spray_particles
Pastel 01
Scattered_blender
Smoke
Watery_flat_tilted
WetPaint_bristles
Wetpaint_Bristles_Flat_Directional
Wetpaint_color_mover_directional
Wetpaint_soft_tilted
Wetpaint_Square_tilted

Demo brushes note:
When I was experimenting with brushes I realized that a good way to promote krita is teaching how to get the best of his brushes. Krita has a fantastic brush editor full of features For that task I have created some brushes with even “invisible” behavior.
The idea is to provide the user interesting brushes to experiment with. This way the user can discover how to tweak things easily and without messing the krita presets.
We are going to cover a lot of things in a funny way and you are going to feel very comfortable.
Of course krita has the “dirty presets” feature. This make experimentation lot of fun and safe. But hey let's play a bit with not so known features.
Then i have planned to make a video if i see interest in this field

WetPaint brushes note:
These kind of brushes are made for fun expressive painting. Maybe i have to explain some things to get the most of them but hey! for the moment i left you experiment.

If you find crosses then you can search the brush nibs called : A-2 Sparkle 3 and 3_flat-brush
Final icons will be created in case on be selected to be part of 4.0

PD:Demo_Light_paint (original created by Cazu Pablo Cazorla. I have changed some things to make it even better imo)
Demo_repeat_triangle (original created for Vasco Basque. A good way to teach users how to tweak parameters and a nice visual one)

Done with the first brush.
Low pressure makes xtrange artifacts in color which i found very interesting. When more pressure is applied the color flows and you get fresh variation of color.

hi @ramonmiranda

Thanks for all your hard work on these. In terms of what will make it in 4.0 I will share my process. I usually test out a new brush...then compare it to what we already have in the 4.0 presets. If it has a really close effect as another one, I usually pass on the new brush. If it gives a result that is different, but good, I will keep it.

That is pretty much the main criteria I am using. The new presets are in the master branch, so hopefully in the coming weeks we will get more feedback about the new presets so we can continue to improve them.

I will check all your brushes out and see what we can include.

@ramonmiranda - I checked out your brushes and some of them were great. I think I added maybe 6 or 7 of them. If you are on Windows...you can check out the new brush presets (with your stuff in it) tomorrow when a new build gets created.. https://binary-factory.kde.org/job/Krita_Nightly_Build/

Along the way I also found a bug while creating brushes that creates an "X" icons by the tips. There is a lot of extra XML that gets added to presets if there is no mask brush...so Dmitry will take a look at that when he gets back from vacation.

I am also thinking more about tags a bit and I don't know if we even need many of them. We already kind of categorize them by the brush name, so I don't know how much value there is in some of them. I am thinking we might be able to shorten the amount of tags we need.

Hi all, I am testing the new brushes latest build. hope to get news soon.
@scottpetrovic Glad to be useful for the project and have contribuited in some way. i think there was some interesting stuff that is no added , we can discuss that here. maybe with examples. what do you think?

I agree with the tags . We have too much and some of them are inaccurate terms .i will make a review of that too in 4.0 new brushes to keep it as simple as posible

@ramonmiranda sure. we can discuss here. I took quite a few of the brush presets...but maybe there are some other ones that would be good too.

Well here i am again, and in this case i post my own guidelines for my creative process:
I divide my brush behavior in 2 basic stages. Low pressure, high pressure.
I follow these guidelines:

  • the brushes are to be used in small sizes and big sizes. (Scalable brushes)
  • the brushes are to be used for professional purposes in terms of resolution, so big canvases like 30k are my goal. (6000px x 5000px) You have to be able to work comfortably with no lag. Average tests are done in DinA4 size. Tests are done in the TestSheet_01.png
  • My average size to test if the brush is fast is 200-500px range.
  • most of my brushes are done to create expressive brushtrokes. not the usual or basics
  • all my test are done with instant update unchecked and checked too to see performance
  • the brushes have to do at least ”something” on canvas with mouse click. Some users don´t have a tablet.
  • Some brushes have “hidden” behaviors. I will explain as it appears.
  • All Brushes values have to be without decimals. not 46,73px for brush size by defualt, but 50px

any sugestions or ideas are welcome. so here we go. How do you do it when you evaluate brushes?

Test Sheets

After a talk with Razvan yesterday i decided to give a try in blender to make seamless textures to be used as pattern in Krita. He sent me the link and i said WOOW.i want it.
As you know i use Krita, Gimp, Gmic, inkscape, Gwyddion and Photo(with manual cloning) to create patterns. Blender is superpowerful but a wild horse sometimes.
I hope this will be a cool beggining for more advanced patterns . Experts in Blender are very welcome and also comments to give ideas or feedback. This shows an aplication with a more elaborated texture from the creator of the plugin. If you wanna try visit https://blenderartists.org/forum/showthread.php?377518-Addon-Piles-N-Tiles-Seamless-Tools-for-Blender

The Screen showing krita and blender is my test :D

Thanks Razvan for this interesting link

rempt added a comment.Thu, Feb 1, 1:34 PM

What's the current status?

The brushes that are now in Krita need renaming at least so they are consistent and don't have author names in them, like cazu, or various individual ways of sorting brushes like number of alphabet prefixes.

We should also have at least one preset for every engine, so people have something to start playing with.

@rempt

  1. I am not sure a good way to rename GBR brushes. Just changing the file name doesn't seem to change the name in the brush editor. Is there a good way to rename those. I could try to make some updates to those to give them better names. I would prefer better descriptions for the names instead of alphabet prefixes
  1. In regards to a preset for every engine. We talked about having presets that people liked a lot. That was the criteria to have a preset -- not necessarily having a preset in every engine. If we can't come up with at least one good/usable preset for an engine, we might need to rethink if we even want to include the engine. I think right now there are no brush presets in the following engine: Bristles, Dyna, Grid, Curve.

@ramonmiranda - I remember when we had a small video chat, you had a large document with all kinds of testing and brushes. Are you done with that and able to share anything?

rempt added a comment.Thu, Feb 1, 2:30 PM
  1. You should be able to load the gbr files in krita or gimp as images and rename them on saving.
  1. If we don't have a preset for an engine, then people can't play with it easily, so that's kind of a must.
ramonmiranda added a comment.EditedThu, Feb 1, 6:04 PM

Ok here we go with the first Category I am reviewing Blending
The brushes with "Copy 0x" in the name is only to follow their changes. can be removed. These are my suggestions and ideas for blending topic. I hope you like them but if you have better ideas just improve them and let me know These brushes try to follow my guidelines for brushes. Icon design is another task. I focus here in the behavior.

You can watch a small video here https://youtu.be/0Xa4a6cAZjY hope it helps

Blender Brushes
Be careful, because blending creates addiction ;)
TRICK!
By Default The color Rate is not activated in all the blending and smudge brushes. But i think it is a cool resource to have color rate feature activated as if we want to paint with the brush and then reduce the value to 0. This way we can decide if we want to paint or smudge the color only changing the color rate value. we have 2 in 1 brush and respect the behavior and texture of the brush. Nice trick because we can use with right click feature. Cool developers!

Blender Basic 02
A review of “Blender basic” brush. I suppose this brush is for basic use as default. It is nice because it gives a smooth result. I think we can improve it to be able to use in big sizes >200px without noticeable lag:
Spacing control feature =unchecked
Spacing changed from 0.02 to Auto = 0.80
modified the tip “Soft”. making it a bit opaque in edges.
activate color rate feature but set to 0.0
Size control by pressure is disabled but can be activated if more precise control is needed.( this is a hidden feature because it has a custom curve ready to be used but deactivated.

Scatter curve is that way to make the brush usable with mouse and control the amount of scatter with last point

With mouse we control the strength of the blending by changing the Smudge rate with right mouse click.or smudge length/strength feature in brush editor. as you prefer.

Blender_Blur Copy 01
A review of “Blender_Blur”brush. I notice that “blender blur” is slightly slow in big sizes.
change size from 90 to 250. size is controlled by pressure.
increase spacing 0,02 to 0,20
low pressure= smudge length very subtle and small size.
High pressure= big size and smudge length increases
Adjusting the size gives you control in detail. The main area to blur is always center.(using white cursor or black cursor helps)

Blender Mover Copy_01
Created to be used with Tilt.
Uses the 2 in 1 color rate trick

Blender Mover Tendrils
To make Branches on trees. Smudge the paint like finger paint.

Blender Rake Copy 01
The effect originally was not strong enough. I prefer set to maximum smudgerate and control with right click
It also uses the color rate trick to have 2 in one brush.
size by pressure is on, offering more variety on brushtrokes.

Blender Textured Copy 01
The effect on blender textured is too strong by default . I can’t see the textured effect. just a bit.
When scaled to 200px is too slow so i changed this:
Precission from 5 to 1
increase the auto spacing to near 1.0
Activate the color rate feature and reduce to 0 in value.
Rotation to drawing angle
Rotate the brush tip from 0 to 90º
As the texture is not so obvious i increase a bit the contrast in pattern and activate random offset on both X and Y to prevent parts of the image not painted.

Blender Textured Copy 02
Very strong effect on texture. like cracks randomly placed
Marble 04.png Pattern is used in the example
Pattern mode = Multiply
Brightness= -0.15
Contrast= 1.90

Blender Water Copy 01
Blends color with texture but not too strong. It reminds Mypaint "watercolorBrush" The effect is nice but be careful with size.

Blender Water Copy 02
Effect like watercolor in blending for big areas with not too much detail.
It can be used for big brushtrokes (700px)
brush tip: (Cazu Watercolor 2) has some sharpen edges like fringe. (pigment accumulation on edges in watercolor)
having more brush tips like this we can create veriety . or maybe a Gih brush tip?
low pressure blends with small tip and destroy superclean edges. adding random edges.
big pressure: Blends with rotation/fuzzy dab shapes

If Smudge length is active we achieve softer results controlled by the curve
if we apply a brushtroke over the image, The overall effect is a soft Texturing

2nd use
If we want a good amount of smudge with low sized shapes we put the smudge length feature off

Now i am reviewing the Pencils ;)

@ramonmiranda great review video and thanks for the updated presets! I can update all of these. The color smudge engine is slower at bigger brush sizes, so these optimizations are great. Most people have no ideas how to optimize brushes like this...so people will just think "wow, krita is faster".

For the pencils, feel free to make some new ones too. I think we have a lack of pencil brushes right now and was thinking about that today.

@ramonmiranda spent a while playing with your brushes. I pretty much added almost all of them. The new stuff should all appear in the nightly windows build when it runs on Friday. Thanks for all your hard work on it.

@rempt I started updating some brush tips to clean up their names. That is going to take a bit of time since renaming a brush usually breaks preset(s) in the process. The main naming convention I am using right now is to just describe what the tip looks like. Most of them are all blobs, so I have been trying to think of shapes, patterns, or anything else creative to differentiate them. Just as long as it isn't something like "texture53". I think that is the best we are going to be able to do.

I added a few more presets with the different brush engines like the bristle and grid one.

ramonmiranda added a comment.EditedFri, Feb 2, 6:40 PM

Hi, today i have been working on icon redesign. Following David Revoy template with Safe frame i have made this


you can notice different little changes:

  • Text on the upper left to help with mnemonics Blender Basic is just BB and that way is more recognizeable.
  • The Shape for brushtroke blending is different enough in each of them.
  • The color has changed from cyan, which doesn´t help very much to recognize the shape. anyway the color can be changed. (Each brushtroke use a filter layer with color balance.)
  • No gradient on background. Helps readibility adding contrast between BG and Brushtroke.
  • Tested on mini size and text still readable and i can find them between other presets easily.


Don´t worry for the Cross , that was done in Krita 3.3 and there i have not copied that brush, in Krita 4.0 Doesn´t appear
That is my contribution for today.

@ramonmiranda thanks for the preset icons. I wonder if there is a better way to do text overlays than putting it directly in the image. Doing that for every brush would be tedious...and it doesn't take into account localization and how some people might make brushes in other languages like Japanese.

The first letter of every word is a neat idea. I wonder if somehow we could extract that from the brush name and superimpose that in the brush preset image when it is shown. That way that part could update on its own.

Something that maybe other artists could give feedback on.

I personally think the sketch brush presets are a bit weak, so I might spend some time this weekend and improve those. I also might try to spend more time on the brush tips and rename or add more. If you want to talk tomorrow (Saturday), let me know. that is the weekend, so I have a bit of free time if you want to discuss over Google hangouts or something.

@scottpetrovic glad you like them. Tomorrow morning i have time. I will be awaken since 9:00 so if you want to talk is perfect.
Your other languages ideas and concern are totally true.
Text is something to be discused. I have done some others to show you too

Testing pencils to see what kind of texture i can achieve. I use 2 brushes to do this. one for details and another for shading areas.

The noticeable here is the non texture (pattern) dependency. That is good if we want the brush usable at diferent sizes . Because people often don´t sketch in high res but in small sizes due personal preferences or CPU performance. My High res is 6000px wide and performance without Instant preview is enough for big sizes. 500-600px


So after testing in highres 6000px wide, i did the same for low res 1024px wide. And this is the result. The texture loose quality but not too much. maybe a bit of sharpen would help. for the moment i don´t apply sharpen filter and i put side by side to compare them.

What do you think. Is this done before ? i would like to know if someboody arrived to same ideas to not repeat them :D

I am btw, not agreeing with the idea of using a flat gray for the presets background because it will clash with the realistically shaded preset icons and take a significant amount of oomph out of the result icons.

rempt added a comment.Mon, Feb 5, 2:12 PM

I'm not sure... Is the plan to replace all the backgrounds, or only for some presets?

Storm added a subscriber: Storm.Mon, Feb 5, 3:00 PM

Here is my personal opinion on an ideal brush preset icon.

1; Forget tool icons* - they aren't useful in any way to tell me what this brush is doing - that's what sample strokes are for. Exceptions would be special effects that cannot be expressed well with a stroke.

2; Use dark BG with white stroke preview - the majority of artists use a dark color theme already, as it's better for the eyes.

3; Use solid color* - gradients make it harder to read sample strokes accurately.

4; Keep it simple and focus on what that brush looks like, instead of trying to convey technical information.

5; Use color coding to differentiate main brush types. I do this by tinting the dark background.

I'm attaching a screenshot of my own brush icons as an example of my approach.

  • Gradients, little tool icons and other pretty/fancy things are contra-productive. A brush icon doesn't need to be pretty/trendy - it needs to convey _information_ in a simple and easy to read way. Nice looks are of no practical use whatsoever, they place trendiness above usability.
woltherav added a comment.EditedMon, Feb 5, 6:50 PM

okay, so I thought it might be an idea to check how much certain brushes are affected speed wise and by instant preview... but got distracted by a bit of sadness.

Scott, the name changing you've done had messed up the spacing of a lot of brushes, meaning they have radically different textures in the stroke.

  • The brushes most affected by these are the "Dry" brushes and in general brushes using masked brushtips.
  • Another one is that some brushes seem to be using "Abominable snowman", while I am not sure they should. This includes, Wet_Bristles_Square, Waterpaint_soft_edges, Waterpaint_soft, Stamp_Hearts(this definitely shouldn't be using that tip...), and Blender_Textured.
  • Dry Bristles Smooth seems to be using the wrong brush tip too, gives the icon shows a rake effect. (I think it ought be the oil_bristle, not oil_knife)
  • Dry Bristle Textured Scribble missed its masked brush

That said:

- Airbrush
   Doesn't need auto, just set spacing to regular at to, say, .1
- Basic Chisel Smooth
   The brush tip of this one got messed up: it should be at 90° and actually circular(ratio turns it oblong).
- Basic Flow
   Can have auto spacing turned off and spacing set to 0.25
- Basic tip default
   Can have auto spacing turned off and spacing set to 0.20-0.25
- Blender blur
   Can have auto spacing turned off.
- Blender Mover
   Can have auto spacing turned off. Does pop a little with instant preview, but at the same time turning off instant preview makes it super slow, and no combo of spacing/horizontal fade can get the desired result for this brush.
- Blender Tendrils
   Should be left alone. Pops with instant preview issues like mover, but auto spacing cannot be turned off for it.
- Blender Rake
   Pops with instant preview, but little we can do about it.
- Blender Textured
   Pops wiht instant preview, but little can be done about it. Not sure if it needs auto spacing, it can work with regular spacing set to 0.04
- Blender Textured Marble
   Pops massively. To the point turning off instant preview might be recommended. Auto spacing can be turned to regular spacing with 0.1
- Blender water
   Pops masively, but without instant preview is too slow. Auto spacing can be turned off and regular spacing can be 0.1
- Blender Water Spong
   Pops a little, and can have instant preview turned off by default just fine.
- Clone tool
   Is bugged with instant preview?
- Clone Tool Textured
   Needs manual.

I suggest that the ones that say "instant preview pops a little" or something like that, are tested on a slow computer to determine where the instant preview threshold should go.

Blender blur DONE (Blender_Blur Copy_01.kpp)

Can have auto spacing turned off.

Blender Mover DONE (Blender_Mover Copy_1.kpp)

Can have auto spacing turned off. Does pop a little with instant preview, but at the same time turning off instant preview makes it super slow, and no combo of spacing/horizontal fade can get the desired result for this brush.

Blender Tendrils DONE (Blender_Mover Tendrils)

Should be left alone. Pops with instant preview issues like mover, but auto spacing cannot be turned off for it.

instant preview set to off
precission set to 1
spacing is auto .60
size by pressure off.
I would keep this kind of Blender. no pops here now. It provides a different way to move paint.

Blender Rake DONE (Blender_Rake Copy 01)

Pops with instant preview, but little we can do about it.

Instant preview set off. This brush is for strong and confident brushtrokes in different directions not long brushtrokes due the rake of the brush so if the size is not too big performance is good enough.

Blender Textured DONE (Blender_Textured Copy 03)

Pops wiht instant preview, but little can be done about it. Not sure if it needs auto spacing, it can work with regular spacing set to 0.04

set spacing to 0.10 to see more clearly the texture.
Instant preview set ON. No pops here.

Blender Textured Marble DONE (Blender_Textured Copy 02)

Pops massively. To the point turning off instant preview might be recommended. Auto spacing can be turned to regular spacing with 0.1

Instant preview set to off.
spacing to 0.10

Blender water DONE (Blender_Water Copy 01)

Pops masively, but without instant preview is too slow. Auto spacing can be turned off and regular spacing can be 0.1

NO pops here . i don´t know if i have to change something. works fine on i7 16GBRam Nvidia 1050

Blender Water Spong DONE (Blender_Water Copy 02)

Pops a little, and can have instant preview turned off by default just fine.

Thanks for the feedback Wolthera. I was not using too much instant preview just in heavy sizes but i see i have to test in all brushes all sizes. The Auto spacing i set to Auto when i need to speed my brushes , here works well. I set the spacing in a constant value when i work with textures mainly and i want to not overlap the dabs stoo much.

Talking about sketching, you know i published some sketches recently. These are the brushes i used.
I think we already have good tips and enough to create good sketches and even more completed traditional pencil looking images. So i have used default resources to create these 2 new brushes:

Sketch_2B Copy 01 pencil for Shading
Suggested name: Pencil Shading
This brush produce a good texture to mimic graphite and as his rotation is set to drawing angle we have a good texture that follows the brushtroke. And it works in small sizes and big sizes
Sketch_2B Copy 02 pencil for Draw with fine detail.
Suggested name: Pencil Draw
This brush produce a very fine line but is scalable and we don´t loose texture

The Brushes:

For the tag, btw, we used to have multiple tags, but that didn't work out because our tag management system is a bit wonky. However, we should have a single tag, like, in the 3.x series Timothée made the 'demo' tag that the pop-up palette was set to by default.

Ideally this tag ought to have the simplest set of brushes. It used to be something like basic_tip_default, eraser_circle, mix_wet, inking_gpen and a bunch of others, but I guess we'll need to really look at the total we'll have later on and decide which are the 10 most basic ones. We can even set the defaults of the 10 brushes script to use these :p

Well after some consideration, i have done a version of the Blending icons with gradient to see if the result are better or not. Cyan was rejected as color because it has same tone vale than BG. so i test with white. That helps a bit. The good stuff is that keeps coherence with the default set so we don´t have to remake all the icons even when there is a lot of stuff to improve imo but slowly. I am taking notes to get order in the chaos.

And this is the final for today.

@ramonmiranda which brush tips did you use for the pencil presets. I tried loading them in, but it said the tips were missing. Also when you showed me last time, the brush tip looked like a gradient (which we don't have right now in the defaults). We either need to add the new tip, or point to the newly renamed tips. The tips were renamed last Saturday, so there shouldn't be any more renaming for them if you have the latest nightly.

For the preset icons, it sounds like we are going the following directions

  • color code the different types: blenders, watercolor, dry, etc
  • have a plain grey background

@scottpetrovic I use a simple gradient. you can use this but i am gonna test several versions.


I shown you 5 different brushes. Today i will make 2 more. (doing them right now.)

scottpetrovic added a comment.EditedWed, Feb 7, 2:27 PM

Color coding the presets....

We might want to determine how we organize the colors. Here is the base guide that we previously used for colors. https://community.kde.org/Krita/Brushes_Preset_Preview

It doesn't cover all different types of brushes we have though.

Here are some colors I tried to assign to different areas. They are extremely subjective, but possibly better than nothing (which is what we have for most types right now)

  • Airbrush (yellow)
  • Basic (black)
  • Blender (teal)
  • Clone (maybe doesn't need a color)
  • Distort (maybe just use a dark grey grid and show how the distortion affects the grid)
  • Dry ( dark purple)
  • Eraser (white)
  • Fill ( orangish red)
  • FX (probably can't do a color with this)
  • Ink (maybe just black)
  • Pixel (light orange)
  • Pencil (grey)
  • Spray (some type of magenta)
  • Stamp (Green)
  • Waterpaint (dark blue)
  • Wet (light Purple)

Feel free to make your suggestion

To me right now, the purpose of the colors seems to help differentiate the behavior of the brush. It will be most helpful when viewing thumbnails only. It will be easier to see the groupings of types of brushes if they have the same color.

I wouldn't put in too many colors. For example, some people can't differentiate easily between shades of orange or shades of purple. Based on that, it might be best to limit the color choices to Black/White/Red/Orange/Yellow/Green/Cyan/Blue/Purple, and while they don't need to be the extremes of these colors, we should try to sorta group them. In the case of bright colors like Yellow and Cyan, well, we're using the cyan-esque colors for the blending brushes, and already using a darker variant. Yellow, if used, should also use a darker variant to make sure people can see the color.

I agree that distort should distort a grid. Purple for wet brushes sounds fine too.

Similarly, I think the eraser should just a pattern approximating the transparency checkers like we have now.

The real tricky bit is textured strokes versus non-textured strokes. Like, Quickbrush, shape brush, inking, airbrush and the basic brushes have no texture, while sketch, grid, pencils, masked tips, predefined brushes/spray and textured brushes all have a textured result. Like, how much are we gonna sub-divide those two major categories?

Here you have 2 more brushes for Draw/Sketchiin with pencil or charcoal feeling


With this 4 we con cover a wide range of sketching i hope you find them interesting


Tilt elevation to control size

tilt declination to control the direction of brushtroke
Tilt to control size.
Both uses pattern 4 "04 paper c grain"

The brush with gradient was previously submitted.

@ramonmiranda thanks for the stuff!

I updated the names of the "sketch" presets. They now all say "pencil" at the beginning I also added your new presets and the gradient brush tip.

For the colors, I see you uploaded some blender ones...but the only images I see in the ZIP file are the white ones. People seemed to like the colored blue ones, so maybe we should use those.

Could you also share your KRA brush preset template? I wouldn't mind trying to update some of the icon images as well.

@scottpetrovic Hi, glad you like them.


After some feedack in twitter https://twitter.com/ramonmva/status/960947431809732610 and facebook Krita group https://www.facebook.com/groups/883585008407522/permalink/1490887627677254/
i agree with you. people prefer colored ones. and as Wolthera says is cyanesque color or teal as you commented.. so we are right following guides.

About the Icon template i am using i hope you find it useful. If you change icons just let me know because each brushtroke i make has a reason, it is not a simple brushtroke. i take care of spacing, Shape of the brushtroke to not compete with other brushes shapes, Focus to improve the readibility in small sizes and more...

About the names i would like to find a way to place in the order that the capture shows Draw, shade , draw, shade.
Draw means for me detail, sharp point
Shade mean for me Shading, volume, and larger areas even when the brush are capable to achieve small sizes and be useful.

Okay, I updated the icons. I had to remake several of them because they had like a double shadow applied. I also went out of my way to ensure the tool icons were a little tealish, and also included Ramon's speed updates. Hopefully everything works properly now, because that was very fiddly.

woltherav added a comment.EditedThu, Feb 8, 6:33 PM

Okay, just updated the eraser icons.

The following kra file contains only the layers with the checker pattern and the different strokes that are used as a mask. Use layer>copy/layer->paste to easily move it to the icon template.

Edit: I also added some emblems to indicate various angles and tilt to master. I think it might be a good idea to still have brushes that use tilt have some kind of indicator, considering those are always a bit odd to use. anyway, attached are the svg files for those emblems, if you guys disagree with the look:

@woltherav thanks for the work, i will check them today.(Btw sorry for the doubled shadow. When you see the icon hundred times you get a bit lost until refresh, so thanks for extra work. )

I am also thinking about preparing my icons and review them to be available for krita 4. Would you agree with that? Because realistic Skeuomorphism is cool like Deevad do so what do you think about that? Would you like to have more painterly icons and follow this line or give the users again vector icons type like i did for the "Design guideline page" ? I think vector is cool because we can do variations very quickly and is all SVG in inkscape.

@ramonmiranda, the SVG files are technically already available in the Vector Library Docker.

I think though that SVG is still a wee bit too limited to handle the painterly look we're going for right now. I would focus on only handing the tools you feel are missing right now.

Might be better to focus on the presets themselves/tags/icon colors.

Scott seems to have decided to make the dry brush icons all purple, and I am wondering if that's not too confusing? Because we used to use purple for the wet dulling brushes, and the dry ones, paint wise do the opposite. Maybe I am overthinking this.

@woltherav I din't see the wet vs dry had similar colors. Maybe the wet brushes could be pink. We don' t have a ton of wet brushes, so I don't know how useful it would be to give them two colors based on a property like dull or smearing.

I was just following the list I made. Feel free to post an updated version of it with your thoughts .

radianart added a comment.EditedFri, Feb 9, 9:55 PM

I tested brushes and noticed some of them have wrong brush tip or tip settings for masking brushes. These are fixed now. And I saved all names and icons (except clone brush, it have new icon and tip, scott will have to make one more name :P).
I also changed some presets to something better in my opinion.
Tips "chisel_knife" and "chalk_round_hard" changed to blurried versions, they makes better results.
I'll probably play with brushes more and add some feedback on other presets.

@radianart - thanks. I will take a look at those.

After the meeting today, we are going to try to do another build of Krita 4.0 for testing. I want to at least get the icons a little more consistent before that happens. They look a bit sloppy right now with some having gradients, and other with just a solid grey. There seems to be some conversations with exactly what needs color, but nothing posted here to help guide that decision.

I will take a shot at updating some of the gradient background icons to make them use the solid grey. Also try to make them a more consistent with the direction we are going. We can always make further tweaks later.

Let's see if we can get the presets in a good state by this week. Artists can then get a good idea of how the presets are going to look & behave. We can get better feedback that way too.

ramonmiranda added a comment.EditedMon, Feb 12, 3:40 PM

ok, here i update the latest pencils using default resources as they are renamed in krita 4.0 Beta night build (git0c60008)

I would take into consideration to remove the following by the following reasons:
Pencil 2B
Pencil 6B

1- ithink sketchbrushengine doesn´t fir very well here
Pencil Chrome is a name that has no sense in meaning imo. Chrome means for me shining or metal, and pencils are not related with that. Time ago we used this name becouse type of shading that produces but i think this is more digital than "pencil". I would remove it from pencils and move it to a tag called "specials" where we could put these kind of brushes.

2- Same with Pencil Hatch noisy. Also we i think this is not a good way to create texture because we can not control the size of the "noise" .We could use another ways to produce dirty texture.


I have been thinking about how to get the best of what we already have in krita. It sounds a bit crazy but take it as it is. An experimental place for experimentation. As we are making new things with brushes maybe is a good time for this kind of thing
sometimes is complicated because emotional attachments to the brushes. But for this experiment imagine everything is possible.

I often find myself searching for the right presets and then I have to search by word or visually. That is not a big issue. It takes me little time but I feel is not the best way to do that.

I have thought what other users are using, so i take in consideration some facts:

  • What Videos, tutorials, screen capture, photos, 5*xx 4*xx are showing about layout and preferences
  • There is not a perfect solution. Even when is the best solution people can disagree due they are used to previous solution or personal taste.
  • krita covers a widest range of users. From beginners to pro users.
  • Pro or advanced users often use customized tools

This is my proposal to have the krita set more organized. To do it** I have printed several copies,numbered and wrote brushes name and cut all the brushes separately.

  • This makes the set more mobile because I can move brushes freely without worring about the names. (Then we have to being able to translate all these changes to the real application. Also this way I have a overall view on what we have on the table. After lot of game "moving" the brushes i think in them this way

I go from simple brushes , using only opacity and basic spacing to more complicated "organic" feeling . From simple to complex, order to chaos.
So i ended with this idea in each category :
First we have the "Basic" behavior, then we have a more Textured Brushtroke, then we have the brushes that are controlled with Pattern, and finally we have Special Brushengines (Hairy, Hatch...)
I think this helps also the user to guess where to llok for a texture for example.

Let's put a name on them

Is hard to find good names, even harder ordering them alphabetically, but here we go. Who knows, maybe you will like it.

Basic (10 basic brushes to cover a wide range of painting without knowing the program) covers painting both hard and soft,texture by brush tip and pattern,erasing and basic blend.
These are my basic for a begginer. If you post in a wheel you get something like this.

Blenders
We have already covered this cathegory with some brushes.

Draw (pencil and shading)
We have already covered this cathegory with some brushes.

Erasers

Ink
Modify color (blending modes)

Painting
Paintwet (colorsmudge)

Smudgers (if we don't want to use the blender word and here has more sense because they are wet too.

Texture brush (brushes with more organic feel. Simmulates texture by the brush tip. Low spacing)
Texture rough (textures with big sizes and big spacing. Also controlled by patterns)

Specials (other brushengines) they are almost at the end because they have unusual behavior or special features. Pixelart could be here.
ZYX tangent normal (3d. as this is different from illustrative painting I would keep them at the end of the set.

Quick brushes (I don't know if we are going to keep this brushes )

I have tried to keep the set organized and i have deleted more than 40 brushes, and i find the set visually easier to understand.

I have a list with all the brushes that i have removed and why. are you interested or do i finish this experiment?


Virtual Deleted (for now) 44 brushes, 88 left.
How i decide what to remove? well i tried to get the more visual pleasant and useful combination. My focus is what people can expect the first time krita opens. and make the experience as much comfortable as possible. No knowledge of tools or brushes are needed.
So if you like the idea here we go.
You are going to see lot of “IMO”( in my opinion). Of course you can disagree totally or not. I expose my ideas based on my own experience and i hope this help.

  • 1 it can be changed by eraser soft. They do basically the same, erase softly. the Airbrush erase don´t use the Airbrush feature. Also imo is not a good idea put an eraser as the first brush in the default pack.If you(begginer) try it in a blank layer you can see nothing is happening and think the software is bad or the tool is not working.
  • 3 The “noise” size controlled by density can’t be modified In big canvas sizes this could be make the noisy effect invisible or not perceptible.
  • 4 Airbrush pressure is a redundant term. It would be like the tipical Airbrush. Added 2 instead, Airbrush linear i would remove linear.
  • 7 we have a lot of “wetpaint” colorsmudge brushengine based brushes.
  • 9 Gaussian term is not a common word to describe behavior in brushes. It is slow and Soft curve can do the same and more imo.
  • 12 The Soft thing is not enough for me to be as brush.
  • 14 Added 20 instead. If the tablet has no tilt options, we can use RMB to change angle.
  • 22,26, 27 Added 24 instead.I wish to control the size of bristles and the scale of them. nowadays they are always 1px width wich is nice for low res but is useless for highres images. 6000px wide.
  • 38, 39, 40 i can’t see practical uses. Maybe sketching. Added 37 to have a sample of this brushengine. I would add to the “specials” category
  • 44 added 45 instead in “ink” category. It is only to fill big areas, it could be replaced by 86 or 87. The tip can be changed to be square to be more usable in squared surfaces just changing the brush tip to square.
  • 46 Slow and nowadays we have another Blender Blur wich is soft. If DOF is what we need i would put it in FX or Distort Category
  • 51 There is a newer version for krita4. WIP
  • 55, 56, 57 Added 53, 54 instead in Texture category
  • 60 It can be replaced by 63.
  • 62, 64 Very small imo. Added 63 instead
  • 65 added 68 instead.
  • 69, 70, 71,72 i consider them as basic brushes. 69 or 71 can be replaced for 20. 70 can be replaced by basic brush with opacity by pressure. 72 can be replaced by ink brush just to take notes.
  • 77 added 78 instead . Is texture controlled by pattern in Basic category
  • 94 Added 93 instead. We can control opacity by the upper menu slider or RMB. it would be great to have opacity by pressure or gradient as original Alchemy software.
  • 97,98,99,100,101,102,103,104,105. added 95, 96 as representation of the Sketchbrushengine. Shows basic features. too much variation of the same brush engine (11 brushes). The pencil icon is not very intuitive. Size doesn’t control real size but Area to be affected and this is not usual behavior but special behavior in sketch brushengine. This can confuse some users.
  • 115 Useless imo. Only show change on color dynamics.The sorrounder brushes are very different. And the icon is related to dry technique like pastel so this could be confusing.
  • 117 Added 120 (Blending cat. “Particle” Effect that blends color.)
  • 123 Added 118, 121 instead
  • 129 It is not related with nature neither texture. Random in rotation makes very hard to predict results. And useless imo.

I hope this will help a bit to roganize a bit more . If not let me know because this takes al ot of time and tests. :D

I am kinda lost on what is going on here. I understand you're doing this with the old set? Will you now add the ones of those that hadn't been in the new set to the new set? Will you then reevaluate the new set?

I just have the feeling you are working in a different universe from us?

@woltherav i am doing this with the old set trying to organize my ideas to make the set in krita 4.0 the most complete we can. without forgetting good stuff that comes from 3.x. This is to understand better why we add something or why we remove it. because we have started from 0 and that is easy but maybe not the best way. So my idea is to combine both. No review is needed for 4.0 because we are doing it right now.

For example i need to add wetpaint brushes with new icons and maybe new brushes. Do i have to remove everything and start from 0? maybe not. So i review what we have in similar behavior and brushes and try to get the best from that. The new arrangement helps me to find the brushes and test them. So i can be faster and precise on what i do.

I think this is not another universe, but is my own way to achieve my best results.

No, I just must've missed your intended goal. It makes much more sense now, thanks.

While i am reviewing the wetpaint brushes i upload these icons to see what do you think


The Basic Airbrush with a not so dark spot i think gives the idea that the color increases gradually in a soft way.

Only showing the opacity change. This is what i understand as basic brush. Hard Edges, opacity by pressure and good opacity curve to ensure that the low levels of pressure are well used. "S" type curve.
And some stamps brushes icon

Grass icon You can see the spikes when zoom out and not as opaque shape but with blank areas.

Cracks. Here the pattern is simmulating some kind of dirty voronoi with a brush tip. When zoom out, you can recognize the shape as "lines with some spots "

Water. very useful to create little waves on water. I just leave a spot of what is the brushtip When zoom out, The horizontal shapes are good to make difference from other stamp brushes.

Do you prefer i focus on stamps or wetpaint first.?

Wetpaint, Scott already handled most of the stamps, and wetpaint is still old-style.

I like the way that they looks after some changes. Just testing on my pc.

The smaller, The better we notice the differences

ramonmiranda added a comment.EditedThu, Feb 15, 3:17 PM

updated: Brushes


Well here we go with the icons for wet paint. (The brushes we have already ) I would like to add some more, but for the moment i think this is enough. I know that the last 3 where i have used stylus,they are different from a dirty style but if you think it carefully they provided very digital look so i think that is the best way to show them. i hope you like them. @scottpetrovic if you agree or @woltherav upload in git. I think i can optimize them and more interesting stuff maybe tomorrow.

ramonmiranda added a comment.EditedThu, Feb 15, 3:24 PM

Brushes:


The icons:

i am in Krita 4 Beta (krita-nightly-x64-v4.0.0.51-300-g4840e16bfe)
I have noticed there are some issues with pencils and i have some thoughts that i want to share with you.

Pencil 2B
I like the look of the brushtroke but this doesn´t look like a pencil. :) What i would expect in a basic 2b is a just be good to add details and give a nice sketch feeling with a bit of grain or texture (pattern). so when i found something like this i think is more like digital ink or digital effect. I think Tilt is not a basic behavior
I have done a version on what i think is a good 2B or basic Pencil. (i don't like to use 2b or 6b because is like cutting the possibilities of a brush for the user mind imo.)
The effect is noticeable even better with big sizes

Pencil 6B
I would just remove it, we digitally don´t need too much with pencils. Just something to draw with and another for shading as i published in previous post with examples.
When i use the drawing angle with rotation as shading is to keeb the direction on shading helping to get a good sense of volume. But i would call this a "shading" pencil not 6b or 8b . also 2b and 6b don`t share same look and this could be confussing for the user.

Pencil Chrome
That is an interesting one as i love this brushengine from the begining. If i remember well i did 2 videos
https://www.youtube.com/watch?v=fNK_pfQITM0
https://www.youtube.com/watch?v=I2T29daZPdU
But i really think this brushengine would fit better in a cathegory called "specials" because it behaves specially good ;) but different.

Pencil Hatch noisy
I think this is more related with texture brushes not Pencil. And as uses noise, the effect looks different in different sizes. It would be awesome to be able control the noise size and randomnes scale.

Pencil Pattern Shading
Appears like i sent to phabricator. to avoid the "invisible brush" produced by tilt configuration i reuploaded them. and also provided info on twitter and facebook

Pencil Pattern Tilt
This brush works well but i have a doubt about this . I am lefthanded so i would turn the brushtip 180º. Maybe righthanded prefer 0º? it is curious for me.

If this is fixed we could have lees feedback ranting about pencils i think.

woltherav added a comment.EditedFri, Feb 16, 1:36 PM

Ramon, I've updated the icons with yours. However, stamp_grass stamp_scales and stamp_water have double shadows again. If you add in the fixed pngs for them in the next 5 hours, I can still push them before the final version.

I also updated the final ones without a new styles icon and went and changed the fill ones to black. That yellow just didn't make sense to me at all.

We could still turn all the dry brushes to blackgrey by throwing adesaturate filter over them, but I'll leave them be for now.

I'll go look into the sketch/pencil stuff.

Edit:

Imade the changes you suggested, left 2b alone as Ramon did not include a KPP file for the new proposed Basic Pencil, and move sketch and hatch to fx, though I am not sure if they should be there either...

The sketch brush engine brush may be different, but they are used to sketch with first and foremost. The hatch noisy is intended to replicate a very specific effect found in comics, much like stamp_shoujo_bubbles and fill_screentone.

ramonmiranda added a comment.EditedFri, Feb 16, 4:02 PM

@woltherav i think black is better for fill also because it is "paint" action. Wich i would think is normal. A brush without opacity control.
I sent the right brushes to get 4 different effects we hadn´t. I gave them good names to be shown in order of use by pairs, And i am testing to include 2B as people understand 2b usually and use a lot like for example Elias and other users of the krita group.

ok, here i update the latest pencils using default resources as they are renamed in krita 4.0 Beta night build (git0c60008)

Okay, did some updates, the current collection looks as follows:


Well this what i understand is a good basic preset for sketching. It is different and uses base resources. We can control the ratio, pattern, and opacity to achieve a wide range of effects. i hope you like it. It doesn´t use tilt i think and works also with the mouse but not so well. I am sure i can improve some pencils for the final release

This comment was removed by ramonmiranda.
razvanr added a comment.EditedSat, Feb 17, 6:37 PM

These are my thoughts on the new presets:

  • Basic Chisel Smooth: jagged edges, fixed by changing the spacing, eg. auto spacing of 1 seems to improve it
  • Blender Blur: spacing too large for blur effect, again auto spacing of 1 seems to be quite nice
  • Blender Mover: spacing as well, I haven't found a good setting for it (for the vertical movement), auto spacing 0.3 gives somewhat acceptable results to me
  • Blender Mover Tendrils: auto spacing 0.3 seems better in my opinion
  • FX Image Blur, FX Image Sharpen, FX Pixelize need better thumbs, they're very indistinguishable on a zoomed out thumbnail view
  • FX Smoke Particles is kind of impractical, you need to move super fast to get some separation between lines
  • FX Value Burn, FX Value Dodge I feel like they need to be stronger, opacity of 0.3 is too low, also the brush tip is super transparent
  • Ink Bristle: jagged edges even with anti-aliasing on, don't know if this is fixable in the settings, might be the engine
  • Ink Leaky: jagged edges
  • Spray Smokey: default has erase mode on, I think this isn't intended
  • Stamp Mountains Distant: quality of brush tip too low, very blurry
  • Stamp Water: is too frequent, doesn't really feel like stamp and it's probably harder to control like this
  • Wet Smear: spacing is too large, I personally like a setting like auto spacing of 0.6
  • Wet Soft Tilted: same, I'd go for an auto spacing of 0.3 or something in that range

For all brush presets, maybe it's me :D but I like having whole numbers on default settings, such as size, example, Stamp Scales has size of 81.72 by default, why not 81.73?! :D yah, I'd go with 80, but that's just me.

This update is awesome! :D

razvanr added a comment.EditedSat, Feb 17, 7:35 PM

One more thing, I noticed the default precision is now 1 (lowest quality), in prior versions it's 5 (highest), I guess we should use 5?!

Other than the above, the thumbs need to be remade so that info about tilt etc. options are on the thumb (if it's standardized yet)

I'm really happy with the new brushes except except for the things above, if we fix some of those (some are probably just my preference) than it would be super! :)

These are some of the modifications which reflect my own taste I'd make to some of the brushes. It's a really good start, I had to change very few things.

Nice feedbak. Tomorrow i will test it. Thanks Razvan

Can we really not have names like:

A_Basic
A_Blender Mover
B_Dry Bristles

etc.?!

It's unintuitive that for example the wet brushes come after the stamp brushes, wet brushes should come after dry brushes or be part of a "traditional" or "natural" brush group or something. And no I don't think using the tag system is good for doing categories like these cause it's way too annoying to switch between tags when doing art especially when you got presets that you jump from located in different tags.

I really like the idea from before that @woltherav mentioned with categories , I mean, we (the people that make our own brush packs) already do this in our brush sets cause it just makes sense to organize. This way brush packs won't disrupt the krita default presets either (if we come up with a code, maybe like KRA_A_Basic, etc.). In my case all my brushes start with RZV and so they're placed right in the middle of the default brush set just after the pixel brushes and before the spray, stamps and what comes next.